#ifndef WPAGEATTR_H
#define WPAGEATTR_H

#include <QDate>
#include <QWidget>
#include <QListWidget>
#include <QJsonObject>

namespace Ui {
class wPageAttr;
}

class wPageItem;
class wPageAttr : public QWidget
{
    Q_OBJECT

public:
    explicit wPageAttr(wPageItem *page, QWidget *parent = nullptr);
    ~wPageAttr();

public:
    bool isNameDuplicate(const QString &name);

signals:
    void sigAttrUpdated(const QJsonObject &json);

public slots:
    void updateJson();
    void onNameChanged(const QString &name);
    void onDateStartChanged(const QDate &date);
    void onDateEndChanged(const QDate &date);

private:
    Ui::wPageAttr *ui;
    QListWidget   *m_list;
};

#endif // WPAGEATTR_H
